#
# spec file for package arpwatch-ethercodes (Version 2006.4.7)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl arpwatch-ethercodes-build attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           arpwatch-ethercodes
BuildRequires:  arpwatch-ethercodes-build
URL:            http://standards.ieee.org/regauth/oui/
License:        FSR, Other License(s), see package
Group:          Productivity/Networking/Diagnostic
Autoreqprov:    on
Summary:        Ethercodes Data for arpwatch
Version:        2006.4.7
Release:        2.2
Source:         http://standards.ieee.org/regauth/oui/oui.txt.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:    noarch

%description
OUI and company ID data as fetched from IEEE.org prepared for arpwatch.



Authors:
--------
    IEEE.org


%build
pushd /usr/share/arpwatch
bzip2 -cd ${RPM_SOURCE_DIR}/oui.txt.bz2 | \
	./massagevendor >${RPM_BUILD_DIR}/ethercodes.dat
popd
if [ ! -s ethercodes.dat ]; then
	echo "File ethercodes.dat is empty!"
	exit 1
fi

%install
mkdir -p \
	$RPM_BUILD_ROOT/%{_datadir}/arpwatch
install -m 0444 ethercodes.dat $RPM_BUILD_ROOT/%{_datadir}/arpwatch

%files
%defattr(-,root,root)
%{_datadir}/arpwatch

%changelog -n arpwatch-ethercodes
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Nov 06 2004 - lmuelle@suse.de
- Change arpwatch of neededforbuild to arpwatch-ethercodes-build.
* Sat Nov 06 2004 - lmuelle@suse.de
- Ensure size of ethercodes.dat is not zero, [#48005].
* Wed Oct 06 2004 - ro@suse.de
- make package noarch
* Fri Jun 25 2004 - lmuelle@suse.de
- Initial package.
